module QspecResult
  PASSED = 'PASSED'
  UNCOMPLETED = 'UNCOMPLETED'
  FAILED = 'FAILED'
  SKIP = 'SKIP'
end

class Constants

  def self.getMappingFileName
    '.qtestscenario'
  end

  def self.getCreateExecutionUri
    '/qspec/api/execution'
  end

  def self.getFeatureFilesUri
    '/qspec/api/feature-file'
  end

  def self.getSubmitFeatureTestLogUri
    '/qspec/api/feature/%s/test-log'
  end

  def self.getUpdateExecutionUri
    '/qspec/api/execution/%s'
  end

  def self.getConfigFile
    'config/config.yml'
  end
end