class ScenarioLog
  attr_accessor :featureId, :featureName, :execution_method, :result, :startDate, :endDate,
                :executionLog, :scenarioId, :host, :scenarioName, :outLineResult

  def initialize
    @execution_method = "AUTOMATE"
    @outLineResult = []
  end

  def to_json(options={})
    {'feature_id' => @featureId, 'feature_name' => @featureName, 'execution_method' => @execution_method,
     'result' => @result, 'start_date' => @startDate, 'end_date' => @endDate, 'execute_log' => @executionLog,
     'scenario_id' => @scenarioId, 'host' => @host}.to_json
  end

end