class QspecFeature
  attr_accessor :id, :fileName, :name, :content, :versionId, :scenarios

  def initialize(id, name, content, versionId, fileName, scenarios)
    @id = id
    @name = name
    @content = content
    @versionId = versionId
    @fileName = fileName
    @scenarios = scenarios
  end

  def self.from_json data
    QspecFeature.new data['id'], data['name'], data['content'], data['versionId'], data['fileName'], data['scenarios']
  end
end