class FeatureMeta
  attr_accessor :id, :name, :scenarios, :versionId

  def initialize(id, name, scenarios, versionId)
    @id = id
    @name = name
    @scenarios = scenarios
    @versionId = versionId
  end

  def to_json(options={})
    {'id' => @id, 'name' => @name, 'scenarios' => @scenarios, 'versionId' => @versionId}
  end

  def self.from_json data
    self.new data['id'], data['name'], data['scenarios'], data['versionId']
  end
end